Package csb :: Package bio :: Package structure :: Class NucleicResidue

[frames] | no frames]

# Class NucleicResidue

source code

                object --+
                         |
    core.AbstractContainer --+
                             |
      core.AbstractNIContainer --+
                                 |
                    object --+   |
                             |   |
                AbstractEntity --+
                                 |
                           Residue --+
                                     |
                                    NucleicResidue

Represents a single nucleotide residue.

Nested Classes
Inherited from `core.AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self, rank, type, sequence_number=None, insertion_code=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `Residue`: `__repr__`, `clone`, `get_coordinates`

Inherited from `core.AbstractNIContainer`: `__getitem__`

Inherited from `core.AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__`

Inherited from `AbstractEntity`: `components`, `transform`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Residue`: `create`

Class Variables
Inherited from `Residue`: `__abstractmethods__`

Properties
bool | is_modified Return True id this is a modified residue
Inherited from `Residue`: `atoms`, `has_structure`, `id`, `insertion_code`, `items`, `label`, `rank`, `secondary_structure`, `sequence_number`, `torsion`, `type` Inherited from `object`: `__class__`

Method Details

### __init__(self, rank, type, sequence_number=None, insertion_code=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `rank` (int) - rank of the residue with respect to the chain
  - `type` (csb.core.EnumItem) - residue type - a member of csb.bio.sequence.SequenceAlphabets.Nucleic
  - `sequence_number` (str) - PDB sequence number of the residue
  - `insertion_code` (str) - PDB insertion code, if any
Overrides: object.__init__
  (inherited documentation)

Property Details

### is_modified

Return True id this is a modified residue

Get Method:
  unreachable.is_modified(self)
Type:
  bool